Subject: Re: bug#47254: 28.0.50; Minibuffer does not clear question even after the corresponding process has exited

From: Arunesh Pandey Gmail <[email-masked]>
Date: Fri, 19 Mar 2021 10:33:52 -0700

> When this happens, not even C-g or C-] help?
No. Nothing helps at this point. Pressing C-g or C-] give me the 
same error:
``` process-kill-buffer-query-function: Selecting deleted buffer 
```

I am assuming because its trying to operate on a deleted buffer 
(*mu4e-update*).

> Are you able to select the minibuffer, e.g. with "C-x o" one or 
> more
> times, or by clicking the mouse inside the mini-window?  If you 
> do
> succeed to enter the minibuffer, can you _then_ get rid of the 
> prompt
> by either answering y/n or by C-g or C-] ?
Yes. I am able to select the buffer by using M-o (bound to 
ace-window) or by clicking.
And no, I cannot get rid of the buffer, because my answers are not 
accepted.
When I press 'y' or 'n', I get the same "deleted buffer" 
error. The
minibuffer is updated when the next sync is triggered.

One thing that I think is worth mentioning is, I see this only 
when my
Emacs is idle for a while. If I am actively using it, I do not see 
this issue.

Eli Zaretskii writes:

>> From: Arunesh Pandey Gmail <[email-masked]>
>> Date: Thu, 18 Mar 2021 19:20:31 -0700
>> 
>> However, every once in a while, this message *sticks* to the
>> minibuffer. Meaning, there is no way to get rid of it. When I 
>> try to
>> answer `y` or `n` to this question, I get the following error:
>> 
>> ```process-kill-buffer-query-function: Selecting deleted 
>> buffer```
>
> When this happens, not even C-g or C-] help?
>
>> I think what is going on here is, `mu4e` is starting a new 
>> transient
>> buffer `*mu4e-update*` when it tries to fetch new email. Emacs 
>> (or some
>> other process) tries to kill this buffer _while_ the update 
>> process is
>> running, so Emacs shows the warning. Later, the update 
>> operation
>> succeeds, the process returns, the buffer is cleaned up, but 
>> the
>> minibuffer prompt asking for confirmation is never cleared 
>> up. There is
>> no way to clean it up as well. I do not see it in the 
>> `*Messages*`
>> buffer. There is no additional buffer in the output of C-x C-b.
>
> Are you able to select the minibuffer, e.g. with "C-x o" one or 
> more
> times, or by clicking the mouse inside the mini-window?  If you 
> do
> succeed to enter the minibuffer, can you _then_ get rid of the 
> prompt
> by either answering y/n or by C-g or C-] ?
>
> Thanks.

-- 
Best Regards,
Arunesh